#version 300 es

uniform mat4 u_MVP;
uniform mat4 u_View;
uniform mat4 u_Projection;

layout(location = 0) in vec3 attPosition;
out vec3 v_WorldSpacePos;

void main()
{
    vec4 homogeneous_pos = u_MVP * vec4(attPosition, 1.0);
    homogeneous_pos = u_View * vec4(attPosition, 0.0);
    homogeneous_pos = u_Projection * vec4(homogeneous_pos.xyz, 1.0);
    gl_Position = homogeneous_pos.xyww;
    v_WorldSpacePos = attPosition;
}

